facebook sdk導入に関して

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 2,043

n_kazuki

score 23

開発環境

android studio 1.3.1
facebook sdk version 4.9.0

質問内容

facebook sdk導入がうまくいきません。
facebook sdkの導入経験がある方いましたら、アドバイスをお願いいたします。

導入手順

  1. facebook sdkのダウンロード
    ダウンロード先

  2. File>New>New Module>Import .jar .aar Packageを選択後、
    ダウンロードしたfacebook sdkフォルダ内のfacebook-android-sdk-4.9.0.aarのパスを指定し、Finishする。

  3. 自動的にgradleに反映後、エラー発生

  • Error:(22) No resource identifier found for attribute 'cardBackgroundColor' in package 'package_name'
  • Error:(22) No resource identifier found for attribute 'cardElevation' in package 'package_name'
  • Error:Execution failed for task ':app:processDebugResources'.
    com.android.ide.common.process.ProcessException: org.gradle.process.internal.ExecException: Process 'command '/Users/hogehoge/Documents/android-sdk-macosx/build-tools/23.0.2/aapt'' finished with non-zero exit value 1

ソースコード

  • build.gradle(Module:app)
apply plugin: 'com.android.application'

android {
    compileSdkVersion 23
    buildToolsVersion '23.0.2'

    defaultConfig {
        applicationId "package_name"
        minSdkVersion 15
        targetSdkVersion 22
        versionCode 1
        versionName "1.0"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
    packagingOptions {
        exclude 'META-INF/LICENSE.txt'
    }
}

dependencies {
    compile fileTree(include: ['*.jar'], dir: 'libs')
    compile 'com.android.support:appcompat-v7:23.1.1'
    compile 'com.android.support:support-v13:23.1.1'
    compile 'com.google.android.gms:play-services:+'
    compile files('libs/twitter4j-async-4.0.2.jar')
    compile files('libs/twitter4j-core-4.0.2.jar')
    compile 'com.android.support:design:23.1.1'
    compile project(':facebook-android-sdk-4.9.0')
}

以上、問題解決に必要な情報欠如していた場合、お手数ですがご連絡お願いいたします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

check解決した方法

0

解決策

build.grade(Module:app)に下記を追記

dependencies {
    ...
    compile 'com.facebook.android:facebook-android-sdk:4.9.0'
    ...
}

追加エラー

com.android.ide.common.process.ProcessException: org.gradle.process.internal.ExecException: Process 'command '/Library/Java/JavaVirtualMachines/jdk1.7.0_79.jdk/Contents/Home/bin/java'' finished with non-zero exit value 2

解決策

build.grade(Module:app)に下記を追記

android {
    ...
    defaultConfig {
        ...
        multiDexEnabled true
        ...
    }
}

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.21%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる